﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Routing;
using Infragistics.Web.Mvc;

namespace igUploadMVC
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            WebApiConfig.Register(GlobalConfiguration.Configuration);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);

            UploadProgressManager.Instance.AddFileUploadingEventHandler("upload1",
    new EventHandler<FileUploadingEventArgs>(Controllers.HomeController.igUpload_FileUploading));
            UploadProgressManager.Instance.AddFinishingUploadEventHandler("upload1",
                new EventHandler<UploadFinishingEventArgs>(Controllers.HomeController.igUpload_FinishingUpload));
            UploadProgressManager.Instance.AddFinishedUploadEventHandler("upload1",
                new EventHandler<UploadFinishedEventArgs>(Controllers.HomeController.igUpload_FinishedUpload)); 
        }
    }
}